# Resolution (https://developer.godaddy.com/en/docs/references/rest/ans/resolution)

***

title: Resolution
description: ''
full: true
\_openapi:
method: POST
toc:

* depth: 2
  title: Resolve an ANSName to an endpoint
  url: '#resolve-an-ansname-to-an-endpoint'
  structuredData:
  headings:
  * content: Resolve an ANSName to an endpoint
    id: resolve-an-ansname-to-an-endpoint
    contents:
  * content: >
    Resolves an ANSName to an actionable endpoint reference. The query
    includes

    the ANSName of the target agent and can optionally incorporate
    capability

    filters to refine the search. The ANS service queries the Agent
    Registry,

    which returns a digitally signed endpoint record if found.
    heading: resolve-an-ansname-to-an-endpoint

***

## POST /v1/agents/resolution

Resolve an ANSName to an endpoint

Resolves an ANSName to an actionable endpoint reference. The query includes
the ANSName of the target agent and can optionally incorporate capability
filters to refine the search. The ANS service queries the Agent Registry,
which returns a digitally signed endpoint record if found.


### Request body (required)

Content-Type: `application/json`

Schema:

- object — ANSName resolution request
  - `agentHost` (required): string — Target agent host domain
  - `version` (required): string — A Semantic Version range, which is defined to match a set of allowable versions for a software package, following the rules of Semantic Versioning (SemVer). It uses specific operators and formats to express dependencies, - like ^1.2.3 (allowing compatible updates within major version 1) - or ~1.2.3 (allowing compatible patch updates). - wildcard '*' or empty string '' means any version can be matched,   it will resolve to the latest version available.

### Responses

**200** — Agent endpoint found

Content-Type: `application/json`

```json
{
  "ansName": "ans://v1.0.0.myagent.example.com",
  "links": [
    {
      "href": "https://api.godaddy.com/v1/agents/550e8400-e29b-41d4-a716-446655440000",
      "rel": "agent-details"
    },
    {
      "href": "https://myagent.example.com/api/v1",
      "rel": "agent-endpoint"
    }
  ]
}
```

Schema:

- object
  - `ansName` (required): string — Agent's ANS Name in format ans://{version}.{agentHost}
  - `links` (required): array — HATEOAS links for related operations
      - items:
          - `href` (required): string <uri> — Link URL
          - `rel` (required): string — Link relation type

**401** — Authentication failed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string — Application-specific error code for client-side error handling
  - `details`: object
  - `message` (required): string
  - `status` (required): string
    - enum: "ERROR"

**403** — Authorization failed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string — Application-specific error code for client-side error handling
  - `details`: object
  - `message` (required): string
  - `status` (required): string
    - enum: "ERROR"

**404** — Agent not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string — Application-specific error code for client-side error handling
  - `details`: object
  - `message` (required): string
  - `status` (required): string
    - enum: "ERROR"

**422** — Invalid resolution request

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string — Application-specific error code for client-side error handling
  - `details`: object
  - `message` (required): string
  - `status` (required): string
    - enum: "ERROR"

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string — Application-specific error code for client-side error handling
  - `details`: object
  - `message` (required): string
  - `status` (required): string
    - enum: "ERROR"
